<< 組み込み関数とコマンド >>

** 初めの一歩 **

  demo:  デモの実行
  help:  ヘルプの表示
  man:   マニュアルの表示
  quit:  MaTXの終了

** 変数および関数の管理 **

  clear:   変数を消去する
  gets:    標準入力から行を読み込む
  install: 共有ライブラリファイル中の関数を登録する
  kbhit:   標準入力にデータがあるか判定
  load:    (MM-ファイル|共有ライブラリファイル)の読み込み
  print:   変数の表示
  printf:  標準出力へ書式付きで出力
  read:    変数の入力
  save:    変数をMM-ファイルに保存する
  scanf:   標準入力から書式付きで入力
  what:    登録されている関数の表示
  which:   関数に関する情報の表示
  who:     登録されている変数の表示
  whos:    変数に関する情報の表示

** ファイルおよびOSに関する操作 **

  chdir:   ディレクトリの変更
  getenv:  環境変数の取得
  mkdir:   ディレクトリの作成
  pclose:  パイプをクローズする
  popen:   パイプをオープンする
  remove:  ファイルの削除
  rename:  ファイル名の変更
  rmdir:   ディレクトリの削除
  setenv:  環境変数の設定
  system:  OSの命令を実行する
   !       OSの命令を実行する

** ソケットを用いたネットワーク通信 (DJGPP版では使用不能)

  socket_accept:   接続要求の待ち合わせと別ソケットの作成
  socket_bind:     ソケットに名前を付ける
  socket_close:    ソケットを閉じる
  socket_connect:  別のソケットとの接続要求
  socket_gets:     TCPソケットから文字列を入力する
  socket_listen:   接続要求の最大待ち数を指定する
  socket_open:     ソケット作成する
  socket_puts:     文字列をTCPソケットに出力する
  socket_read:     TCPソケットからデータを受信する
  socket_recvfrom: UDPソケットから文字列を受信する
  socket_sendto:   文字列をUDPソケットに送信する
  socket_shutdown: 接続を全面的，あるいは部分的に閉鎖する
  socket_write:    データをTCPソケットに送信する

  udp_demo_client: UDPソケット通信のクライアントのサンプル
  udp_demo_server: UDPソケット通信のサーバのサンプル
  tcp_demo_client: TCPソケット通信のクライアントのサンプル
  tcp_demo_server: TCPソケット通信のサーバのサンプル

  http_get:        HTTPプロトコルでファイルを入手するサンプル

** 画面制御 **

  clear:   画面上の表示を消去
  gotoxy:  画面上でカーソルを移動する

** 特殊変数 **

  ans:   最後の計算結果
  NaN:   定義されない変数
  EPS:   浮動小数点での相対精度
  nargs: 関数の引数の数
  Inf:   無限大
  PI:    パイ

** 演算子と特殊記号 **

    +: 加算                 .<: 小なり(成分毎)
   .+: 配列加算             <=: 以下
   ++: 1 を足す            .<=: 以下(成分毎)
    -: 減算                 &&: 論理積
   .-: 配列減算            .&&: 論理積(成分毎)
   --: 1 を引く             ||: 論理和
    *: 乗算                .||: 論理和(成分毎)
   .*: 乗算(成分毎)          !: 否定
    /: 右除算               .!: 否定(成分毎)
   ./: 右除算(成分毎)        :: 行列の要素の規定，case文
    \: 左除算               (): 式の順番規定，関数の引数列
   .\: 左除算(成分毎)       []: ベクトルや行列の作成
    ^: べき乗               {}: 関数の定義，リストの作成
   .^: 配列べき乗           "": 文字列の作成
    ~: 逆数(逆行列)        (,): 複素数表現
   .~: 逆数(成分毎)         >>: MAT-データの保存
    #: 複素共役転置         <<: MAT-データの読み込み
    ': 転置                 ->: MX-データの保存
    =: 代入式               <-: MX-データの読み込み
   ==: 等しい                .: 小数点
  .==: 等しい(成分毎)      ...: 可変個引数関数の定義
   !=: 等しくない            ,: 引数の分離
  .!=: 等しくない(成分毎)    ;: 文の終わり
    >: 大なり               //: コメント
   .>: 大なり(成分毎)       /*: コメントの始まり
   >=: 以上                 */: コメントの終わり
  .>=: 以上(成分毎)          !: OSの命令の実行
    <: 小なり

** 論理関数 **

  all:       全ての成分が非ゼロなら 1
  all_col:   各列の成分が非ゼロなら 1
  all_row:   各行の成分が非ゼロなら 1
  any:       非ゼロの成分が存在すれば 1
  any_col:   列に非ゼロ成分が存在すれば 1
  any_row:   行に非ゼロ成分が存在すれば 1
  exist:     変数が存在するか判定
  find:      非ゼロ成分の指数を求める
  iscomplex: 複素成分なら 1
  isempty:   空行列なら 1
  isfinite:  有限の値ならば 1
  isinf:     無限の値ならば 1
  isnan:     NaNであれば 1
  isreal:    実成分なら 1

** 変数および関数の宣言と定義 **

  extern:  別のファイルの変数の宣言
  Func:    関数の定義
  nargs:   関数の引数の数
  require: 関数とMM-ファイルの関連付
  static:  static変数の宣言

** 制御フロー **

  break:    繰り返しの終了
  case:     選択肢
  continue: 繰り返しの再開
  default:  デフォルトの場合
  do:       繰り返し
  else:     条件分岐
  else if:  条件分岐
  error:    エラー実行停止
  exit:     プログラムの終了
  for:      繰り返し
  if:       条件分岐
  return:   呼び出し関数に戻る
  switch:   選択
  while:    繰り返し

** 会話形式の入出力 **

  bell:     ベルを鳴す
  kbhit:    標準入力にデータがあるか判定
  menu:     選択メニュー
  pause:    一時停止
  warning:  警告メッセージの表示

** 時間と日付:

  clock:    現在の日付と時間
  settimer: タイマをリセットする
  gettimer: タイマの時間の取得

** 初等関数:

  abs:     絶対値                 floor:   -∞方向への丸め
  acos:    逆余弦                 Im:      虚部
  acosh:   逆双曲線余弦           inv:     逆数
  arg:     位相角                 log:     自然対数
  asin:    逆正弦                 log10:   常用対数
  asinh:   逆双曲線正弦           pow:     べき乗
  atan:    逆正接                 Re:      実部
  atan2:   逆正接($4$象限)        rem:     除算の余り
  atanh:   逆双曲線正接           round:   最も近い整数値への丸め
  ceil:    +∞方向への丸め        round2z: ゼロへの丸め
  conj:    複素共役               sgn:     符合関数
  cos:     余弦                   sin:     正弦
  cosh:    双曲線余弦             sinh:    双曲線正弦
  exp:     指数関数               sqrt:    平方根
  fact:    階乗                   tan:     正接
  fix:     ゼロ方向への丸め       tanh:    双曲線正接

** ビット操作:

  bit_and:        ビット毎の AND
  bit_or:         ビット毎の OR
  bit_xor:        ビット毎の排他的 OR
  bit_comp:       ビット毎の反転(1の補数)
  bit_lshift:     ビット毎の左シフト
  bit_rshift:     ビット毎の右シフト
  machine_endian: バイナリの数値形式

  fpu_round_down:  下向きの丸め
  fpu_round_near:  最近点への丸め
  fpu_round_up:    上向きの丸め
  fpu_round_zero:  ゼロへの丸め(切り捨て)
  fpu_round_mode:  丸めモード取得

** 基本行列 **

  I:        単位行列の作成
  linspace: 線形等間隔ベクトルの作成
  logpsace: 対数等間隔ベクトルの作成
  ONE:      要素が全て 1である行列の作成
  rand:     一様分布の乱数行列の作成
  randn:    正規分布の乱数行列の作成
  Z:        零行列の作成

** 行列の特徴 **

  size:    行数と列数
  Cols:    列数
  Rows:    行数
  length:  行数と列数の大きい方
  isempty: 空行列の判定

** 行列操作 **

  Array:       配列に変換              
  conj:        複素共役行列            
  conjtrans:   複素共役転置行列        
  De:          分母配列                
  diag:        対角行列の作成          
  diag2vec:    対角成分からベクトルへ  
  vec2diag:    ベクトルから対角行列へ  
  fliplr:      左右反転                
  flipud:      上下反転                
  Im:          虚部行列                
  Index:       指数に変換              
  Matrix:      行列に変換              
  Nu:          分子配列                
  Re:          実部行列
  reshape:     大きさの変更
  rot90:       90 度単位の回転
  rotateDown:  行の下方向への回転
  rotateLeft:  列の左方向への回転
  rotateRight: 列の右方向への回転
  rotateUp:    行の上方向への回転
  diag_vec:    ベクトルと対角行列の変換&
  shiftDown:   行の下方向へのシフト
  shiftLeft:   列の左方向へのシフト
  shiftRight:  列の右方向へのシフト
  shiftUp:     行の上方向へのシフト
  trans:       転置行列
  tril:        下三角部分の抽出
  triu:        上三角部分の抽出
    
** 行列解析 **

  cond:     行列の条件数
  det:      行列式
  norm:     行列やベクトルのp-ノルム
  kernel:   カーネル空間
  rank:     ランク(階数)
  trace:    トレース(対角成分の和)

** 線形方程式 **

  / と \:         線形方程式の解
  chol:           コレスキー分解
  inv:            逆行列
  lu:             LU分解
  lu_p:           並び替え付きLU分解
  pseudoinv:      擬似逆行列
  qr:             QR分解
  qr_p:           並び替え付きQR分解

** 固有値および特異値 **

  balance:      対角要素のスケーリング  
  eig:          固有値および固有ベクトル
  eigval:       固有値                  
  eigvec:       固有ベクトル            
  hess:         ヘッセンベルグ分解      
  maxsing:      最大特異値              
  minsing:      最小特異値              
  qz:           QZ分解
  singleftvec:  特異値分解の左変換行列
  singrightvec: 特異値分解の右変換行列
  singval:      特異値
  schur:        Schur分解
  svd:          特異値分解

** 行列関数 **

  exp: 行列の指数関数
  log: 行列の対数関数
  sqrt: 行列の平方根
  funm: 一般的な行列関数

** 基本データ解析 **

  cumprod:      全ての成分の累積積
  cumprod_col:  各列の累積積
  cumprod_row:  各行の累積積
  cumsum:       全ての成分の累積和
  cumsum_col:   各列の成分の累積和
  cumsum_row:   各行の成分の累積和
  frobnorm:     全ての成分のフロベニウスノルム
  frobnorm_col: 各列の成分のフロベニウスノルム
  frobnorm_row: 各行の成分のフロベニウスノルム
  max:          全ての成分の最大値
  max_col:      各列の成分の最大値
  max_row:      各行の成分の最大値
  maximum:      全ての成分の最大値
  maximum_col:  各列の成分の最大値
  maximum_row:  各行の成分の最大値
  mean:         全ての成分の平均値
  mean_col:     各列の成分の平均値
  mean_row:     各行の成分の平均値
  median:       全ての成分の中間値
  median_col:   各列の成分の中間値
  median_row:   各行の成分の中間値
  min:          全ての成分の最小値
  min_col:      各列の成分の最小値
  min_row:      各行の成分の最小値
  minimum:      全ての成分の最小値
  minimum_col:  各列の成分の最小値
  minimum_row:  各行の成分の最小値
  prod:         全ての成分の積
  prod_col:     各列の成分の積
  prod_row:     各行の成分の積
  sort:         全ての成分の並び替え
  sort_col:     各列の成分の並び替え
  sort_row:     各行の成分の並び替え
  std:          全ての成分の標準偏差
  std_col:      各列の成分の標準偏差
  std_row:      各行の成分の標準偏差
  sum:          全ての成分の和
  sum_col:      各列の成分の和
  sum_row:      各行の成分の和
                   
** 差分と相関 **

  diff:          全ての成分の差分
  diff_col:      各列の成分の差分
  diff_row:      各行の成分の差分
  corrcoef:      全ての成分の相関係数
  corrcoef_col:  各列の成分の相関係数
  corrcoef_row:  各行の成分の相関係数
  cov:           全ての成分の分散
  cov_col:       列毎のデータの共分散行列
  cov_row:       行毎のデータの共分散行列
  hist:          全ての成分のヒストグラム
  hist_col:      各列の成分のヒストグラム
  hist_row:      各行の成分のヒストグラム

** シミュレーション **

  rngkut4:         4次のルンゲクッタ法による常微分方程式解
  rkf45:           RKF45法による常微分方程式解
  Ode:             4次のルンゲクッタ法で常微分方程式を解く
  OdeAuto:         4次のルンゲクッタ法(自動刻み調節)で常微分方程式を解く
  OdeHybrid:       4次のルンゲクッタ法で常微分方程式を解く
                   (外部信号をサンプリング毎に更新)
  OdeHybridAuto:   4次のルンゲクッタ法(自動刻み調節)で常微分方程式を解く
                   (外部信号をサンプリング毎に更新)
  Ode45:           RKF45法で常微分方程式を解く
  Ode45Auto:       RKF45法(自動刻み調節)で常微分方程式を解く
  Ode45Hybrid:     RKF45法で常微分方程式を解く
                   (外部信号をサンプリング毎に更新)
  Ode45HybridAuto: RKF45法(自動刻み調節)で常微分方程式を解く
                   (外部信号をサンプリング毎に更新)
  OdeStop:         シミュレーションを停止する
  OdeXY:           過去の信号を取り出す

** フーリエ変換 **

  abs:         絶対値
  arg:         位相角
  fft:         全成分の高速フーリエ変換
  fft_col:     列毎の高速フーリエ変換
  fft_row:     行毎の高速フーリエ変換
  fftshift:    FFTの結果をシフトする
  ifft:        全成分の逆高速フーリエ変換
  ifft_col:    列毎の逆高速フーリエ変換
  ifft_row:    行毎の逆高速フーリエ変換
  unwrap:      360 度以上の位相角に移動(全成分)
  unwrap_col:  360 度以上の位相角に移動(列毎)
  unwrap_row:  360 度以上の位相角に移動(行毎)

** 多項式と有理多項式の操作 **

  CoPolynomial: 複素多項式への変換
  CoRational:   複素有理多項式への変換
  De:           分母多項式
  derivative:   導関数
  degree:       多項式の次数
  higher:       高次への係数のシフト
  Im:           虚部多項式
  integral:     不定積分
  lower:        低次への係数のシフト
  eval:         多項式と有理多項式の評価
  Matrix:       多項式係数をベクトルに変換
  Nu:           分子多項式
  poles:        極(分母多項式の根)
  Polynomial:   多項式への変換
  Rational:     有理多項式への変換
  Re:           実部多項式
  roots:        多項式の根
  simplify:     有理多項式の共通因子の相殺
  zeros:        零点(分子多項式の根)

** 文字列の操作 **

  eval:    文字列をMaTXコードとして評価
  length:  文字列の長さ
  Matrix:  文字列を文字コードのベクトルに変換
  sprintf: 数値を書式付き文字列に変換
  sscanf:  文字列を書式付き数値に変換
  strchr:  文字の位置を前から調べる
  strrchr: 文字の位置を後から調べる
  String:  文字列に変換

** リストの操作 **

  length:   リストの長さ
  List:     リストに変換
  makelist: リストの作成
  typeof:   リストの成分の型

** ファイル入出力 **

  access:  ファイルのアクセス権を判定
  fclose:  ファイルをクローズする
  feof:    ファイルの終端に達したか判定
  fgets:   ファイルから行を読み込む
  fread:   バイナリデータを読み込む
  fopen:   ファイルをオープンする
  fprintf: ファイルへ書式付きで書き込む
  fscanf:  ファイルから書式付きで読み込む
  fwrite:  バイナリデータを書き込む
  load:    MM-ファイルの読み込み
  print:   変数のファイルへの保存
  read:    変数のファイルからの読み込み
  save:    変数をMM-ファイルに保存する

** ハードウェアインターフェース **

  Inport:   IOポートから 1 ワードのデータを読み込む
  Inportb:  IOポートから 1 バイトのデータを読み込む
  Outport:  IOポートへ 1 ワードのデータを書き込む
  Outportb: IOポートへ 1 バイトのデータを書き込む

<< ユーザ関数 >>

[ デモ ]

 bench:           ベンチマークテストプログラム
 demo:            デモプログラム
 mmmark:          mmmark 測定プログラム

[ 行列ツールボックス ]

 mat_demo:        行列ツールボックスデモンストレーション

 angle:           位相角(ラジアン)
 bar:             棒グラフのデータ生成
 barp:            棒グラフのプロット
 cdf2rdf:         複素対角行列を実ブロック対角行列に変換
 conv:            畳み込みと多項式乗算
 ccpair:          共役複素数の対が並ぶようにソート
 dec2hex:         10 進数を 16 進数に変換
 deconv:          逆畳み込み
 dft:             離散フーリエ変換
 dft_plot:        離散フーリエ変換のプロット
 erf:             誤差関数
 gammac:          完全ガンマ関数
 gammaf:          (完全|不完全)ガンマ関数
 gammai:          不完全ガンマ関数
 diag_vec:        ベクトルと正方行列(対角成分)の変換
 givens:          Givens の回転行列
 hadamard:        Hadamard 行列
 hankel:          ハンケル行列
 hex2dec:         16 進数から 10 進数への変換
 hex2num:         IEEE16 フォーマットから倍精度実数への変換
 hilbert:         Hilbert 行列
 hist:            hist_row()と同じ
 hist_col:        ヒストグラムのデータ生成(列毎)
 hist_row:        ヒストグラムのデータ生成(行毎)
 idft:            逆離散フーリエ変換
 idft_plot:       逆離散フーリエ変換のプロット
 ihilbert:        逆 Hilbert 行列
 inverf:          誤差関数の逆関数
 kronprod:        クロネッカー積
 kronsum:         クロネッカー和
 magicsq:         魔方陣
 makecolv:        列ベクトルに変形
 makerowv:        行ベクトルに変形
 makepoly:        特性方程式
 mat2tex:         行列を TeX 形式に変換しファイルに保存
 mat2texf:        行列を TeX 形式に変換
 matlab_read:     行列をMatlab(バージョン4)データ形式のファイルから読み込む
 matlab_write:    行列をMatlab(バージョン4)データ形式でファイルに保存する
 mseq:            M 系列
 nargchk:         入力引数の個数のチェック
 null:            ヌル空間の基底
 orth:            直交空間の基底
 rsf2csf:         実 Schur 形式を複素 Schur 形式に変換
 schord:          順序付け Schur 分解
 simplify:        有理多項式の共通因子をキャンセルする
 toeplitz:        テペリッツ行列
 vander:          Vandermonde 行列
 vconnect:        ベクトルの結合
 vchop:           ベクトルの分割

 [ 信号処理ツールボックス ]

 sig_demo:        信号処理ツールボックスのデモ

 bartlett:        Bartlett窓
 bilinear:        双一次変換
 blackman:        Blackman窓
 boxcar:          長方形窓
 cceps:           ケプストラム解析
 detrend:         detrend_row()と同じ
 detrend_col:     線形トレンドの除去(列毎)
 detrend_row:     線形トレンドの除去(行毎)
 filter:          ディジタルフィルタ操作
 freqs:           アナログフィルタの周波数応答
 freqz:           ディジタルフィルタの周波数応答
 hamming:         ハミング窓
 hanning:         ハニング窓
 rceps:           実ケプストラム
 sawtooth:        のこぎり波(三角波)
 square:          矩形波
 triang:          三角窓
 xcorr:           相互相関関数
 xcov:            相互共分散
 
[ 制御ツールボックス ]

 ctr_demo:        制御ツールボックスのデモ

 abcdchk:           状態空間行列の次元の整合性のチェック
 are:               連続時間リカッティ方程式の安定化解
 augment:           2 個の状態空間系を 1 個の状態空間系にまとめる
 balreal:           連続時間系平衡実現
 bode_ss:           連続時間線形系(状態空間表現)のボード線図
 bode_tf:           連続時間線形系(伝達関数)のボード線図
 bode_tfn:          連続時間線形系(伝達関数)のボード線図
 bode_tfm:          連続時間線形系(伝達関数行列)のボード線図
 bode_plot_ss:      連続時間線形系(状態空間表現)のボード線図のプロット
 bode_plot_tf:      連続時間線形系(伝達関数)のボード線図のプロット
 bode_plot_tfn:     連続時間線形系(伝達関数)のボード線図のプロット
 bode_plot_tfm:     連続時間線形系(伝達関数行列)のボード線図のプロット
 charpoly:          特性多項式
 ctrm:              可制御性行列
 ctrf:              可制御／不可制御部分空間の分離
 c2d:               連続時間系の離散化
 canon:             状態空間表現を正準系への変換
 dbode_ss:          離散時間系のボード線図
 dbode_plot_ss:     離散時間系のボード線図のプロット
 dhinf:             離散時間系の H∞ 問題の解
 dimpulse_ss:       離散時間線形系(状態空間表現)のインパルス応答
 dimpulse_tf:       離散時間線形系(伝達関数)のインパルス応答
 dimpulse_tfn:      離散時間線形系(伝達関数)のインパルス応答
 dimpulse_tfm:      離散時間線形系(伝達関数行列)のインパルス応答
 dimpulse_plot_ss:  離散時間線形系(状態空間表現)のインパルス応答のプロット
 dimpulse_plot_tf:  離散時間線形系(伝達関数)のインパルス応答のプロット
 dimpulse_plot_tfn: 離散時間線形系(伝達関数)のインパルス応答のプロット
 dimpulse_plot_tfm: 離散時間線形系(伝達関数行列)のインパルス応答のプロット
 dinitial_ss:       離散時間線形系(状態空間表現)のインパルス応答
 dinitial_tf:       離散時間線形系(伝達関数)の初期値応答
 dinitial_tfn:      離散時間線形系(伝達関数)の初期値応答
 dinitial_tfm:      離散時間線形系(伝達関数行列)の初期値応答
 dinitial_plot_ss:  離散時間線形系(状態空間表現)の初期値応答のプロット
 dinitial_plot_tf:  離散時間線形系(伝達関数)の初期値応答のプロット
 dinitial_plot_tfn: 離散時間線形系(伝達関数)の初期値応答のプロット
 dinitial_plot_tfm: 離散時間線形系(伝達関数行列)の初期値応答のプロット
 dlqe:              離散時間 LQ 推定噐設計
 dlqr:              離散時間系の LQ 最適制御
 dlsim:             離散時間線形系のシミュレーション
 dlsim_plot:        離散時間線形系のシミュレーションのプロット
 dlyap:             離散時間系のリアプノフ方程式の解
 dric:              離散時間リカッティ方程式の解
 dstep_ss:          離散時間線形系(状態空間表現)のステップ応答
 dstep_tf:          離散時間線形系(伝達関数)のステップ応答
 dstep_tfn:         離散時間線形系(伝達関数)のステップ応答
 dstep_tfm:         離散時間線形系(伝達関数行列)のステップ応答
 dstep_plot_ss:     離散時間線形系(状態空間表現)のステップ応答のプロット
 dstep_plot_tf:     離散時間線形系(伝達関数)のステップ応答のプロット
 dstep_plot_tfn:    離散時間線形系(伝達関数)のステップ応答のプロット
 dstep_plot_tfm:    離散時間線形系(伝達関数行列)のステップ応答のプロット
 d2c:               離散時間系の連続時間系への逆変換
 dbalreal:          離散時間系の平衡実現
 dgramian:          離散時間系の可制御グラミアン
 faddeev:           Faddeev のアルゴリズムによるリゾルベント行列
 feedback:          2 個の状態空間系をフィードバック結合
 feedbk:            閉ループ系の状態空間系
 mseqfr:            M 系列による周波数応答
 gmargin:           ゲイン余裕と位相交差周波数
 gramian:           連続時間系の可制御グラミアン
 hinf:              連続時間系の H∞ 問題の解
 impulse_ss:        連続時間線形系(状態空間表現)のインパルス応答
 impulse_tf:        連続時間線形系(伝達関数)のインパルス応答
 impulse_tfn:       連続時間線形系(伝達関数)のインパルス応答
 impulse_tfm:       連続時間線形系(伝達関数行列)のインパルス応答
 impulse_plot_ss:   連続時間線形系(状態空間表現)のインパルス応答のプロット
 impulse_plot_tf:   連続時間線形系(伝達関数)のインパルス応答のプロット
 impulse_plot_tfn:  連続時間線形系(伝達関数)のインパルス応答のプロット
 impulse_plot_tfm:  連続時間線形系(伝達関数行列)のインパルス応答のプロット
 initial_ss:        連続時間線形系(状態空間表現)の初期値応答
 initial_tf:        連続時間線形系(伝達関数)の初期値応答
 initial_tfn:       連続時間線形系(伝達関数)の初期値応答
 initial_tfm:       連続時間線形系(伝達関数行列)の初期値応答
 initial_plot_ss:   連続時間線形系(状態空間表現)の初期値応答のプロット
 initial_plot_tf:   連続時間線形系(伝達関数)の初期値応答のプロット
 initial_plot_tfn:  連続時間線形系(伝達関数)の初期値応答のプロット
 initial_plot_tfm:  連続時間線形系(伝達関数行列)の初期値応答のプロット
 lqe:               連続時間系の LQ 最適推定器
 lqr:               連続時間系の LQ 最適レギュレータ
 lqrs:              連続時間系の LQ 最適レギュレータ
 lqry:              連続時間系の出力重み付きLQ最適レギュレータ
 lsim:              連続時間線形系のシミュレーション
 lsim_plot:         連続時間線形系のシミュレーションのプロット
 ltifr:             線形時不変系の周波数応答
 ltitr:             線形時不変系の時間応答
 lyap:              連続時間系のリアプノフ方程式の解
 margin:            ゲイン余裕，位相余裕，交差周波数
 minreal:           最小実現(可制御可観測部分空間)
 nicholsp:          ニコルス線図
 nyquist_ss:        連続時間線形系(状態空間表現)のナイキスト応答
 nyquist_tf:        連続時間線形系(伝達関数)のナイキスト応答
 nyquist_tfn:       連続時間線形系(伝達関数)のナイキスト応答
 nyquist_tfm:       連続時間線形系(伝達関数行列)のナイキスト応答
 nyquist_plot_ss:   連続時間線形系(状態空間表現)のナイキスト線図
 nyquist_plot_tf:   連続時間線形系(伝達関数)のナイキスト線図
 nyquist_plot_tfn:  連続時間線形系(伝達関数)のナイキスト線図
 nyquist_plot_tfm:  連続時間線形系(伝達関数行列)のナイキスト線図
 obsg:              Gopinathのアルゴリズムによる最小次元オブザーバ
 obsf:              可観測／不可観測部分空間の分離
 obsm:              連続時間系の可観測性行列
 parallel:          2 個の状態空間系の並列結合
 pmargin:           位相余裕とゲイン交差周波数
 pplace:            極配置
 resolvent:         リゾルベント行列
 ric:               Potter/有本法による連続時間系のリカッティ方程式の解
 riccati:           Potter/有本法による連続時間系のリカッティ方程式の解
 rlocus_ss:         根軌跡(状態空間表現)
 rlocus_tf:         根軌跡(伝達関数)
 rlocus_tfn:        根軌跡(伝達関数)
 rlocus_tfm:        根軌跡(伝達関数行列)
 rlocus_plot_ss:    根軌跡のプロット(状態空間表現)
 rlocus_plot_tf:    根軌跡のプロット(伝達関数)
 rlocus_plot_tfn:   根軌跡のプロット(伝達関数)
 rlocus_plot_tfm:   根軌跡のプロット(伝達関数行列)
 series:            2 個の状態空間系の直列結合
 svfr:              特異値の周波数応答
 ss2tf:             状態空間表現から伝達関数への変換
 ss2tfn:            状態空間表現から伝達関数の係数の対への変換
 ss2tfm:            状態空間表現から伝達関数行列への変換
 ss2zp:             状態空間表現から極零の対への変換
 step_ss:           連続時間線形系(状態空間表現)のステップ応答
 step_tf:           連続時間線形系(伝達関数)のステップ応答
 step_tfn:          連続時間線形系(伝達関数)のステップ応答
 step_tfm:          連続時間線形系(伝達関数行列)のステップ応答
 step_plot_ss:      連続時間線形系(状態空間実現)のステップ応答のプロット
 step_plot_tf:      連続時間線形系(伝達関数)のステップ応答のプロット
 step_plot_tfn:     連続時間線形系(伝達関数)のステップ応答のプロット
 step_plot_tfm:     連続時間線形系(伝達関数行列)のステップ応答のプロット
 TFadd:             2 個の状態空間系の(和)並列結合
 TFinv:             状態空間系の逆系
 TFmul:             2 個の状態空間系の直列結合
 TFnegate:          状態空間系の負系
 TFsub:             2 個の状態空間系の(差)並列結合
 TFtrans:           状態空間系の転置系
 tfm2ss:            伝達関数行列から状態空間表現への変換
 tfm2tf:            伝達関数行列から伝達関数の係数の対への変換
 tfm2tfn:           伝達関数行列から伝達関数への変換
 tfm2zp:            伝達関数行列から極零の対への変換
 tf2ss:             伝達関数から状態空間表現への変換
 tf2tfn:            伝達関数から伝達関数への変換
 tf2tfm:            伝達関数から伝達関数行列への変換
 tf2zp:             伝達関数から極零の対への変換
 tfn2ss:            伝達関数から状態空間表現への変換
 tfn2tf:            伝達関数から伝達関数への変換
 tfn2tfm:           伝達関数から伝達関数行列への変換
 tfn2zp:            伝達関数から極零の対への変換
 tzero:             伝達零
 zp2ss:             極零の対から状態空間表現への変換
 zp2tf:             極零の対から伝達関数への変換
 zp2tfn:            極零の対から伝達関数の係数の対への変換
 zp2tfm:            極零の対から伝達関数行列への変換

[ グラフツールボックス ]

 ( GNUPLOT )
 (カレントウィンドウへのコマンド) 
 gplot:             線形 x-y プロット
 gplot_clear:       ウィンドウをクリア
 gplot_cmd:         gnuplot へコマンド(改行コード"\n"付)を送る
 gplot_eps:         グラフをEPSファイルに保存
 gplot_epsplus:     グラフをEPSファイル(gnuplot+機能付)に保存
 gplot_fig:         グラフを FIG コードで保存
 gplot_grid:        グリッド(オン/オフ)
 gplot_hidden3d:    隠線処理の設定
 gplot_hold:        コマンドをホールドする(DOS, Windows95/NT)
 gplot_key:         gnuplot の key 行
 gplot_loglog:      両対数プロット
 gplot_options:     gnuplot のオプション設定
 gplot_out:         gnuplot へコマンドを送る
 gplot_parametric:  パラメータモードの設定
 gplot_ps:          グラフをポストスクリプトファイルに保存
 gplot_psplus:      グラフをポストスクリプトファイル(gnuplot+機能付)に保存
 gplot_quit:        mgplot を終了
 gplot_replot:      プロットの再描画
 gplot_reset:       ウィンドウの初期化
 gplot_semilogx:    片対数プロット(X 軸(横軸)を対数)
 gplot_semilogy:    片対数プロット(Y 軸(縦軸)を対数)
 gplot_subplot:     1 個の窓に複数のグラフをプロット
 gplot_text:        文字列をウィンドウに描く
 gplot_title:       グラフのタイトル
 gplot_view:        視点とスケールの設定
 gplot_view_control:視点とスケールを操作する
 gplot_xlabel:      X 軸(横軸)のラベル
 gplot_x2label:     第2 X 軸(横軸)のラベル
 gplot_ylabel:      Y 軸(横軸)のラベル
 gplot_y2label:     第2 Y 軸(横軸)のラベル
 gplot_zlabel:      Z 軸(横軸)のラベル
 gplot_z2label:     第2 Z 軸(横軸)のラベル
 greplot:           線形プロットの重ね描き
 greplot_loglog:    両対数プロットの重ね描き
 greplot_semilogx:  片対数プロット(X 軸(横軸)を対数)の重ね描き
 greplot_semilogy:  片対数プロット(Y 軸(縦軸)を対数)の重ね描き

 gplot3:                3次元プロット
 gplot3_logx:           3次元プロット(X 軸を対数)
 gplot3_logy:           3次元プロット(Y 軸を対数)
 gplot3_logz:           3次元プロット(Z 軸を対数)
 gplot3_logxy:          3次元プロット(X-Y 軸を対数)
 gplot3_logxz:          3次元プロット(X-Z 軸を対数)
 gplot3_logyz:          3次元プロット(Y-Z 軸を対数)
 gplot3_logxyz:         3次元プロット(X-Y-Z 軸を対数)
 gplot3_surface:        3次元における2次元平面
 gplot3_logx_surface:   3次元における2次元平面(X 軸を対数)
 gplot3_logy_surface:   3次元における2次元平面(Y 軸を対数)
 gplot3_logz_surface:   3次元における2次元平面(Z 軸を対数)
 gplot3_logxy_surface:  3次元における2次元平面(X-Y 軸を対数)
 gplot3_logxz_surface:  3次元における2次元平面(X-Z 軸を対数)
 gplot3_logyz_surface:  3次元における2次元平面(Y-Z 軸を対数)
 gplot3_logxyz_surface: 3次元における2次元平面(X-Y-Z 軸を対数)

 ( GNUPLOT )
 (任意のウィンドウへのコマンド) 
 mgplot:              線形 x-y プロット
 mgplot_clear:        ウィンドウをクリア
 mgplot_cmd:          gnuplot へコマンド(改行コード"\n"付)を送る
 mgplot_eps:          グラフをEPSファイルに保存
 mgplot_epsplus:      グラフをEPSファイル(gnuplot+機能付)に保存
 mgplot_fig:          グラフを FIG コードで保存
 mgplot_grid:         グリッド(オン/オフ)
 mgplot_hidden3d:     隠線処理の設定
 mgplot_hold:         コマンドをホールドする(DOS, Windows95/NT)
 mgplot_key:          gnuplot の key 行
 mgplot_loglog:       両対数プロット
 mgplot_options:      gnuplot のオプション設定
 mgplot_out:          gnuplot へコマンドを送る
 mgplot_parametric:   パラメータモードの設定
 mgplot_ps:           グラフをポストスクリプトファイルに保存
 mgplot_psplus:       グラフをポストスクリプトファイル(gnuplot+機能付)に保存
 mgplot_quit:         mgplot を終了
 mgplot_replot:       プロットの再描画
 mgplot_reset:        ウィンドウの初期化
 mgplot_semilogx:     片対数プロット(X 軸(横軸)を対数)
 mgplot_semilogy:     片対数プロット(Y 軸(縦軸)を対数)
 mgplot_subplot:      1 個の窓に複数のグラフをプロット
 mgplot_text:         文字列をウィンドウに描く
 mgplot_title:        グラフのタイトル
 mgplot_view:         視点とスケールの設定
 mgplot_view_control: 視点とスケールを操作する
 mgplot_xlabel:       X軸(横軸)のラベル
 mgplot_x2label:      第2 X軸(横軸)のラベル
 mgplot_ylabel:       Y軸(横軸)のラベル
 mgplot_y2label:      第2 Y軸(横軸)のラベル
 mgplot_zlabel:       Z軸(横軸)のラベル
 mgplot_z2label:      第2 Z軸(横軸)のラベル
 mgreplot:            線形プロットの重ね描き
 mgreplot_loglog:     両対数プロットの重ね描き
 mgreplot_semilogx:   片対数プロット(X 軸(横軸)を対数)の重ね描き
 mgreplot_semilogy:   片対数プロット(Y 軸(縦軸)を対数)の重ね描き

 mgplot3:                3次元プロット
 mgplot3_logx:           3次元プロット(X 軸を対数)
 mgplot3_logy:           3次元プロット(Y 軸を対数)
 mgplot3_logz:           3次元プロット(Z 軸を対数)
 mgplot3_logxy:          3次元プロット(X-Y 軸を対数)
 mgplot3_logxz:          3次元プロット(X-Z 軸を対数)
 mgplot3_logyz:          3次元プロット(Y-Z 軸を対数)
 mgplot3_logxyz:         3次元プロット(X-Y-Z 軸を対数)
 mgplot3_surface:        3次元における2次元平面
 mgplot3_logx_surface:   3次元における2次元平面(X 軸を対数)
 mgplot3_logy_surface:   3次元における2次元平面(Y 軸を対数)
 mgplot3_logz_surface:   3次元における2次元平面(Z 軸を対数)
 mgplot3_logxy_surface:  3次元における2次元平面(X-Y 軸を対数)
 mgplot3_logxz_surface:  3次元における2次元平面(X-Z 軸を対数)
 mgplot3_logyz_surface:  3次元における2次元平面(Y-Z 軸を対数)
 mgplot3_logxyz_surface: 3次元における2次元平面(X-Y-Z 軸を対数)
 
 gcls:              Tektro エミュレーションの画面をクリア

 -- 詳しい説明を見るには，'help'コマンドにトピックスを指定する --

