
/*  -*- MaTX -*-
 *
 *  【名前】
 *      De() - 分母
 *
 *  【形式】
 *      y = De(x)
 *         Polynomial y;
 *         Rational x;
 *
 *      Y = De(X)
 *         PoArray Y;
 *         RaArray X;
 *
 *  【機能説明】
 *      De(x)は，有理多項式 x の分母多項式を返す。
 *
 *      X が有理多項式配列のとき，De(X)は X の各成分の有理式の分母
 *      からなる配列(分母配列)を求める。
 *
 *  【例題】
 *      >> s = Polynomial("s");
 *      >> x = (s + 1)/(s^2 + 2*s + 3);
 *      >> y = De(x)
 *      y = s^2 + 2 s + 3
 *      >> X = Array([(s + 1)/(s^2 + 2*s + 3), 1/(s + 4)]);
 *      >> Y = De(X)
 *      === [Y] : (  1,  2) ===
 *           [          (  1)           ]  [          (  2)           ]
 *      (  1)       s^2 + 2 s + 3                     s + 4           
 *
 *  【関連項目】
 *      Nu()
 */
