
/*  -*- MaTX -*-
 *
 *  【名前】
 *      Im() - 虚部
 *
 *  【形式】
 *      y = Im(x)
 *         (Real   |Polynomial  |Rational  ) y;
 *         (Complex|CoPolynomial|CoRational) x;
 *
 *      Y = Im(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      Im(x)は，(複素数|複素多項式|複素有理多項式) x の虚部を取り出す。
 *
 *      X が(行列|配列)のとき，成分毎に Im(X(i,j)) を作用させた結果から
 *      なる(行列|配列)を求める。
 *
 *  【例題】
 *      >> x = (3,4);
 *      >> y = Im(x)
 *      y = 4
 *      >> X = ([[1 2][3 4]], [[5 6][7 8]]);
 *      >> Y = Im(X)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  5.00000000E+00  6.00000000E+00
 *      (  2)  7.00000000E+00  8.00000000E+00
 *
 *  【関連項目】
 *      Re()
 */
