
/*  -*- MaTX -*-
 *
 *  【名前】
 *      Nu() - 分子
 *
 *  【形式】
 *      y = Nu(x)
 *         Polynomial y;
 *         Rational x;
 *
 *      Y = Nu(X)
 *         PoArray Y;
 *         RaArray X;
 *
 *  【機能説明】
 *      Nu(x)は，有理多項式 x の分子多項式を返す。
 *
 *      X が有理多項式配列のとき，Nu(X)は X の各成分の有理式の分子
 *      からなる配列(分子配列)を求める。
 *
 *  【例題】
 *      >> s = Polynomial("s");
 *      >> x = (s + 1)/(s^2 + 2*s + 3);
 *      >> y = Nu(x)
 *      y = s + 1
 *      >> X = Array([(s + 1)/(s^2 + 2*s + 3), 1/(s + 4)]);
 *      >> Y = Nu(X)
 *      === [Y] : (  1,  2) ===
 *           [          (  1)           ]  [          (  2)           ]
 *      (  1)           s + 1                           1             
 *
 *  【関連項目】
 *      De()
 */
