
/*  -*- MaTX -*-
 *
 *  【名前】
 *      acosh() - 双曲(線)逆余弦
 *
 *  【形式】
 *      y = acosh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = acosh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      acosh(x)は，スカラ型(整数, 実数, 複素数) x の逆双曲(線)余弦を求める。
 *      角度はラジアンで計算される。
 *	    acosh(X)は，配列 X の各成分の逆双曲(線)余弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      acosh(z) = log(z + sqrt(z*z - 1))
 *
 *  【例題】
 *      >> y = acosh(2)
 *      y = 1.31696
 *
 *  【関連項目】
 *      asin(), acos(), atan(), asinh(), atanh()
 */
