
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_lshift() - ビット毎の左シフト
 *
 *  【形式】
 *      k = bit_lshift(i,j)
 *         Integer k;
 *         Integer i,j;
 *
 *      Y = bit_lshift(X,i)
 *         (Array|Index) Y;
 *         (Array|Index) X;
 *         Integer i;
 *
 *  【機能説明】
 *      bit_lshift(i,j) は整数 i の各ビットを j ビット左(高次方向)へ
 *      シフトした整数を求める。
 *      bit_lshift(X,i)は，(配列|指数) X の各成分のビットを i  ビット
 *      左へシフトした値からなる(配列|指数) P を求める。P の大きさは X 
 *      の大きさと同じになる。
 *
 *  【例題】
 *      >> k = bit_lshift(0x0f, 4)
 *      k = 240 (= 0xf0)
 *
 *  【関連項目】
 *      bit_rshift()
 */
