
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cos() - 余弦
 *
 *  【形式】
 *      y = cos(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = cos(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      cos(x)は，スカラ型(整数, 実数, 複素数) x の余弦を求める。
 *      角度はラジアンで計算される。
 *	    cos(X)は，配列 X の各成分の余弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じになる。
 *
 *  【アルゴリズム】
 *      i = (0,1)
 *      cos(z) = (exp(i*z) + exp(-i*z))/2
 *
 *  【例題】
 *      >> y = cos(0.5)
 *      y = 0.877583
 *
 *      範囲 -PI <= x <= PI のcos(x)のグラフを表示する。
 *
 *      >> x = [-PI:0.05:PI];
 *      >> mgplot(1, x, cos(x), {"cos(x)"});
 *
 *  【関連項目】
 *      sin(), tan(), acos(), exp()
 */
