
/*  -*- MaTX -*-
 *
 *  【名前】
 *      fliplr() - 左右反転
 *
 *  【形式】
 *      Y = fliplr(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      fliplr(X)は，行列型(行列|配列|指数) X の左右の列を反転した
 *      行列型 Y を求める。
 *
 *  【例題】
 *      >> Y = fliplr([1 2 3 4])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  4.000000E+00  3.000000E+00  2.000000E+00  1.000000E+00
 *      >> Y = fliplr([[1 2][3 4]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)         (  2)     
 *      (  1)  2.000000E+00  1.000000E+00
 *      (  2)  4.000000E+00  3.000000E+00
 *
 *  【関連項目】
 *      flipud, rot90, and trans
 */

