
/*  -*- MaTX -*-
 *
 *  【名前】
 *      fpu_round_state() - 浮動小数点数演算の丸めモードを取得
 *
 *  【形式】
 *      state = fpu_round_state()
 *          Integer state;
 *
 *  【機能説明】
 *      fpu_round_state()は，使用中の計算機の浮動小数点数演算の
 *      丸めモードを取得する。この機能に対応していない計算機もある。
 *
 *      state = 0 : 最近点丸め
 *            = 1 : 下向き丸め
 *            = 2 : 上向き丸め
 *            = 3 : ゼロ向き丸め
 *
 *  【例題】
 *
 *      printf("state = %d\n", fpu_round_state());
 *
 *      fpu_round_up();
 *      printf("state = %d\n", fpu_round_state());
 *
 *
 *  【関連項目】
 *      fpu_round_near, fpu_round_down, fpu_round_up, fpu_round_zero
 */
