
/*  -*- MaTX -*-
 *
 *  【名前】
 *      ifft() - 逆高速フーリエ変換
 *
 *  【形式】
 *      Y = ifft(X)
 *         (CoMatrix|CoArray) Y;
 *         (Matrix|Array) X;
 *
 *      Y = ifft(X,k)
 *         (CoMatrix|CoArray) Y;
 *         (Matrix|Array) X;
 *         Integer k;
 *
 *  【機能説明】
 *      ifft(X)は，2 のべき乗の長さのベクトル X について，基底が 2 の
 *      逆高速フーリエ変換を計算する。ifft(X,k) は k 点の逆高速フーリエ
 *      変換をする。X の長さが k より短いとき，ゼロが後ろに付け加えられ，
 *      X の長さが k より長いとき，k 番目以降が切り捨てられる。
 *
 *  【例題】
 *      フーリエ変換した信号を ifft() で逆フーリエ変換すると，元の
 *      信号に戻る。以下の例で，x2 は丸め誤差の範囲で x と一致する。
 *
 *      x = [5, 4, 8, -8, 2, 0, 0, 0];
 *      X = fft(x);
 *      x2 = ifft(X);
 *
 *  【関連項目】
 *      ifft_row(), ifft_col()
 */
