
/*  -*- MaTX -*-
 *
 *  【名前】
 *      install() - 共有ライブラリファイル中の関数を登録する
 *
 *  【形式】
 *      i = install(sofile, function)
 *         Integer i;
 *         String sofile;
 *         String function;
 *
 *      i = install(sofile, function, mode)
 *         Integer i;
 *         String sofile;
 *         String function;
 *         String mode;
 *
 *  【機能説明】
 *      install(sofile, function)は，共有ライブラリファイル sofile中
 *      で定義されている関数 function を インタプリタに登録する。
 *      登録された関数は，組み込み関数と同様に使用できる。1 個の
 *      共有ライブラリファイルには，複数の関数を定義できる。
 * 
 *      この関数は，登録に成功すると 0 を返し，失敗すると -1 を返す。
 *
 *  【例題】
 *      MM-ファイル libafo.mm から共有ライブラリファイル libafo.so を
 *      作成する。
 *
 *      >> matc -so -c libafo.mm
 *
 *      共有ライブラリファイル libafo.so 中で定義されている関数 foo と
 *      bar をインタプリタに登録する。ライブラリ中で定義されている外部
 *      シンボルは，後でロードされるライブラリ中のシンボルと競合する
 *      ことはない。
 *
 *      install("libafo.so", "foo");
 *      install("libafo.so", "bar");
 *
 *      install(sofile, function, "global")は，共有ライブラリファイル
 *      sofile 中で定義されている関数 function をインタプリタに登録する。
 *      ライブラリ中で定義されている外部シンボルは，後でロードされる
 *      ライブラリから参照できる。
 *
 *  【関連項目】
 *      load
 */
