
/*  -*- MaTX -*-
 *
 *  【名前】
 *      iscomplex() - 複素数(複素係数)の判定
 *
 *  【形式】
 *      k = iscomplex(x)
 *         Integer k;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      k = iscomplex(X)
 *         Integer k;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      x が(整数|実数|実多項式|実有理多項式)のとき，iscomplex(x)はゼロ(偽)。
 *      x が(複素数|複素多項式|複素有理多項式)のとき，iscomplex(x)は 1(真)。
 *      X が(実行列|実多項式行列|実有理多項式行列)のとき，iscomplex(x)は
 *      ゼロ(偽)。X が(複素行列|複素多項式|複素有理多項式)のとき，
 *      iscomplex(x)は 1 (真)である。
 *
 *  【例題】
 *      >> k = iscomplex(0.5)
 *      k = 0
 *      >> k = iscomplex((3,4))
 *      k = 1
 *      >> k = iscomplex([1 2])
 *      k = 0
 *      >> k = iscomplex([(1,2), (3,4)])
 *      k = 1
 *
 *  【関連項目】
 *      isreal()
 */
