
/*  -*- MaTX -*-
 *
 *  【名前】
 *      isreal() - 実数(実係数)の判定
 *
 *  【形式】
 *      k = isreal(x)
 *         Integer k;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      k = isreal(X)
 *         Integer k;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      x が(整数|実数|実多項式|実有理多項式)のとき，isreal(x)は 1(真)。
 *      x が(複素数|複素多項式|複素有理多項式)のとき，isreal(x)はゼロ(偽)。
 *      X が(実行列|実多項式行列|実有理多項式行列)のとき，isreal(x)は
 *      1(真)。X が(複素行列|複素多項式|複素有理多項式)のとき，isreal(x)
 *      ゼロ(偽)である。
 *
 *  【例題】
 *      >> k = isreal(0.5)
 *      k = 1
 *      >> k = isreal((3,4))
 *      k = 0
 *      >> k = isreal([1 2])
 *      k = 1
 *      >> k = isreal([(1,2), (3,4)])
 *      k = 0
 *
 *  【関連項目】
 *      isreal()
 */
