
/*  -*- MaTX -*-
 *
 *  【名前】
 *      log() - 自然対数
 *
 *  【形式】
 *      y = log(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = log(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = log(X)
 *         Matrix Y;
 *         Matrix X;
 *
 *  【機能説明】
 *      log(x)は，スカラ型(整数, 実数, 複素数) x の自然対数を求める。
 *	    X が配列のとき，log(X)は配列 X の各成分の自然対数からなる配列
 *      Y を求める。Y の大きさは X の大きさと同じになる。
 *      X が行列のとき，log(X)は X の行列対数関数を求める。行列指数関数
 *      の逆関数である行列対数関数は多価関数であるが，値の範囲を
 *      
 *         -PI <= 固有値の虚部 < PI
 *
 *      のように限定した主値が求められる。
 *
 *  【例題】
 *      >> y = log(2)
 *      y = 0.693147
 *
 *  【関連項目】
 *      sin(), cos(), tan(), log10(), exp()
 */
