
/*  -*- MaTX -*-
 *
 *  【名前】
 *      max_col() - 列毎の最大値
 *
 *  【形式】
 *      Y = max_col(X)     Y = max_col(X)          Y = max_col(X)
 *         Index Y;           Matrix Y;               CoMatrix Y;
 *         Index X;           (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      X が指数のとき，max_col(X) は列毎に成分の最大値を求め，行ベクトル
 *      (指数)で返す。X が(行列|配列)のとき，max_col(X) は列毎に成分の最大
 *      値を求め，行ベクトル(行列|配列)で返す。
 *      X が複素(行列|配列)のとき，max_col(X) は列毎に絶対が最大値の成分を
 *      を求め，行ベクトル(複素行列|複素配列)で返す。
 *
 *      X が縦ベクトルまたは横ベクトルのとき，max_col(X)は，ベクトルの成分
 *      の最大値を返す。
 *
 *  【例題】
 *      >> Y = max_col([[1, -2][3, 0]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  3.00000000E+00  0.00000000E+00
 *      >> Y = max_col([1, -2])
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  1.00000000E+00
 *      >> x = max_col([[(1,2), (3,4)][(5,6), (7,8)]]) 
 *      === [x] : (  1,  2) ===
 *             [ (  1)-Real  (  1)-Imag ]  [ (  2)-Real  (  2)-Imag ]
 *      (  1)  5.000000E+00  6.000000E+00  7.000000E+00  8.000000E+00
 *
 *  【関連項目】
 *      max(), max_row()
 */
