
/*  -*- MaTX -*-
 *
 *  【名前】
 *      mean_row() - 行毎の成分の平均値
 *
 *  【形式】
 *      Y = mean_row(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      mean_row(X)は，行毎に成分の平均値を求め，列ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，mean_row(X) は
 *      全ての成分の平均値を求める。
 *
 *  【例題】
 *      >> Y = mean_row([[1 2][3 4]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  1.50000000E+00
 *      (  2)  3.50000000E+00
 *      >> Y = mean_row([[1][3]])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  2.00000000E+00
 *
 *  【関連項目】
 *      mean(), mean_col()
 */
