
/*  -*- MaTX -*-
 *
 *  【名前】
 *      min_row() - 行毎の最小値
 *
 *  【形式】
 *      Y = min_row(X)     Y = min_row(X)          Y = min_row(X)
 *         Index Y;           Matrix Y;               CoMatrix Y;
 *         Index X;           (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      X が指数のとき，min_row(X) は行毎に成分の最小値を求め，列ベクトル
 *      (指数)で返す。X が(行列|配列)のとき，min_row(X) は行毎に成分の最小
 *      値を求め，列ベクトル(行列|配列)で返す。
 *      X が複素(行列|配列)のとき，min_row(X) は行毎に絶対が最小値の成分を
 *      を求め，列ベクトル(複素行列|複素配列)で返す。
 *
 *      X が縦ベクトルまたは横ベクトルのとき，min_row(X)は，ベクトルの成分
 *      の最小値を返す。
 *
 *  【例題】
 *      >> Y = min_row([[1, -2][3, 0]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1) -2.00000000E+00
 *      (  2)  0.00000000E+00
 *      >> Y = min_row([[1][-2]]) 
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1) -2.00000000E+00
 *      >> Y = min_row([[(1,2), (3,4)][(5,6), (7,8)]]) 
 *      === [Y] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  5.00000000E+00  6.00000000E+00
 *
 *  【関連項目】
 *      min(), min_col()
 */
