
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rank() - ランク(階数)
 *
 *  【形式】
 *      k = rank(A)
 *         Integer k;
 *         Matrix A;
 *
 *      k = rank(A,tol)
 *         Integer k;
 *         Matrix A;
 *         Real tol;
 *
 *  【機能説明】
 *      rank()は，行列のランク(階数)を求める。
 *
 *      k = rank(A) は，norm(A,"fro") * EPS より大きい特異値の数を返す。
 *      k = rank(A,tol) は，tol より大きい特異値の数を返す。
 *
 *  【アルゴリズム】
 *      特異値分解を利用する。
 *
 *  【注意】
 *      繰り返し計算で特異値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> A = [[1 2 3][4 5 6]];
 *      >> k = rank(A)
 *      k = 2
 *
 *  【関連項目】
 *      svd()
 *
 */
