
/*  -*- MaTX -*-
 *
 *  【名前】
 *      reshape() - 行列の大きさの変更
 *
 *  【形式】
 *      Y = reshape(X,m,n)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *         Integer m,n;
 *
 *  【機能説明】
 *      reshape(X,m,n)は(行列|配列) X を m 行 n 列に変換する。成分は，
 *      X の行方向の成分順に並べ替えられる。X が m * n 個の成分を
 *      もっていないと，エラーになる。
 *
 *  【例題】
 *      >> X = [[1 2 3][4 5 6]];
 *      >> Y = reshape(X, 3, 2)
 *      === [Y] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  3.00000000E+00  4.00000000E+00
 *      (  3)  5.00000000E+00  6.00000000E+00
 *
 *  【関連項目】
 *      fliplr(), flipud(), rot90()
 */
