
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rotateUp() - 全ての行を上方向へ回転する
 *
 *  【形式】
 *      Y = rotateUp(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = rotateUp(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      rotateUp(X)は，行列型(行列|配列|指数) X の全ての行を上方向へ
 *      1 回転した行列を作る。一番上の行は一番下に移動する。
 *
 *      rotateUp(X,k)は，上方向へ k 回転する。
 *
 *  【例題】
 *      >> Y = rotateUp([[1 2][3 4][5 6]])
 *      === [Y] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  3.00000000E+00  4.00000000E+00
 *      (  2)  5.00000000E+00  6.00000000E+00
 *      (  3)  1.00000000E+00  2.00000000E+00
 *
 *  【関連項目】
 *      shiftUp(), rotateDown(), rotateLeft(), rotateRight()
 */

