
/*  -*- MaTX -*-
 *
 *  【名前】
 *      scanf() - 標準入力から書式付きでデータを読み込む
 *
 *  【形式】
 *      L = scanf(format)
 *         List L;
 *         String format;
 *
 *  【機能説明】
 *      scanf(format)は，標準入力から format で指定した書式でデータを
 *      読み込み，データからなるリストを返す。整数型，実数型，文字列型
 *      のデータを読み込める。
 *
 *      書式は，C 言語の関数 scanf() の書式と同じものを指定する。
 *      変換を表すには，パーセント % ，フィールド幅(オプション)，
 *      変換文字を指定する。変換文字には，次の文字がある。
 *
 *      %d, %u, %o, %x, %X, %i : 整数型
 *      %e, %E, %f, %g, %G     : 実数型
 *                             : (%lf 等は倍精度, %hf 等は単精度)
 *      %c, %s                 : 文字列型
 *
 *      fscanf(0,format) は，scanf(format) と等しい。
 *
 *  【例題】
 *      scanf() でデータを読み込む。
 *
 *      {a, b, c} = scanf("%d %lf %s");
 *  
 *  【関連項目】
 *      printf(), fscanf()
 */
