
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sgn() - 符合関数
 *
 *  【形式】
 *      y = sgn(x)
 *         (Integer|Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = sgn(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      sgn(x)は，(整数|実数) x について，値がゼロより大きければ 1，
 *      値がゼロに等しければ 0，ゼロより小さければ -1 を返す。
 *      複素数 x について，sgn(x) は，x/abs(x) を求める。
 *
 *	    sgn(X)は，(行列|配列) X の各成分に sgn(X(i,j)) を作用した
 *      結果からなる(行列|配列) を求める。Y の大きさは X の大きさと
 *      同じになる。
 *
 *  【例題】
 *      >> y = sgn(0.5)
 *      y = 1
 *      >> y = sgn(-0.5)
 *      y = -1
 *      >> y = sgn((2,3))
 *      y = (0.5547, 0.83205)
 *      >> Y = sgn([1, -2, 3, -4])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  1.000000E+00 -1.000000E+00  1.000000E+00 -1.000000E+00
 *
 *  【関連項目】
 *      isfinite()
 */
