
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_accept() - 接続要求の待ち合わせと別ソケットの作成
 *
 *  【形式】
 *      new_sd = socket_accept(sd)
 *         Integer new_sd;
 *         Integer sd;
 *
 *  【機能説明】
 *      socket_accept(sd)は，クライアントからの接続要求があるまで待ち
 *      状態になる。socket_listen で用意した待ち行列にクライアントからの
 *      socket_connect 要求が到着すると，待ち状態が解除され，sd と同じ
 *      特性の新しいソケットを作成する。作成に成功すると正の整数(ソケット
 *      ディスクリプタ)，作成に失敗すると負の整数を返す。新しいソケット
 *      使用してデータを読んだり，書いたりする。
 *
 *  【例題】
 *      コネクション型のソケットを作成し，ソケットからデータを読む。
 *
 *      sd = socket_open("TCP");
 *      socket_bind(sd, port);
 *      socket_listen(sd);
 *      fd2 = socket_accept(sd);
 *      mess = fgets(sd2);
 *
 *  【関連項目】
 *      socket_open, socket_bind, socket_listen
 */
