
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_gets() - コネクション型ソケットから文字列を受信する
 *
 *  【形式】
 *      mess = socket_gets(sd)
 *         String mess;
 *         Integer sd;
 *
 *      mess = socket_gets(sd, max_size)
 *         String mess;
 *         Integer sd;
 *         Integer max_size;
 *
 *  【機能説明】
 *      socket_gets(sd,max_size)は，コネクションソケット sd から 
 *      max_size 個以下の文字または改行文字 "\n" に達するまで受信する。
 *      max_size が省略されると，1024 が使用される。
 *
 *      socket_gets は相手プロセスの socket_puts と
 *      対応して使用するので，socket_gets を実行したとき，
 *      socket_puts が実行されていなければ，待ち状態になる。
 *
 *  【例題】
 *      コネクション型のソケットを作成し，文字列を受信する。
 *
 *      sd = socket_open("TCP");
 *      socket_bind(sd，port);
 *      socket_listen(sd);
 *      sd2 = socket_accept(sd);
 *      mess = socket_gets(sd2, 1024);
 *
 *  【関連項目】
 *      socket_open, socket_bind, socket_recvfrom, socket_puts
 */
