
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sort() - 並び替え
 *
 *  【形式】
 *      {Y,idx} = sort(X)
 *         (Matrix|Array|Index) Y;
 *         Index idx;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      {Y,idx} = sort(X)は，(行列|配列|指数)の全ての成分を昇順に並び
 *      替えた(行列|配列|指数) Y と，Y の成分の元の位置を示す指数 idx
 *      を返す。X がベクトルのとき，Y = X(idx) の関係が成り立つ。
 *      X が複素行列のとき，絶対値で並び替える。
 *      
 *      X が行列のとき，行を左から右へ，そして各行を上から下へ成分を
 *      参照する。そして，与えられた(行列|配列|指数) X と同じ大きさの
 *      (行列|配列|指数) Y を返す。
 *
 *  【例題】
 *      >> {Y,idx} = sort([4 1 2 3]);
 *      >> print Y,idx;
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  1.000000E+00  2.000000E+00  3.000000E+00  4.000000E+00
 *      === [idx] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  2.000000E+00  3.000000E+00  4.000000E+00  1.000000E+00
 *
 *  【関連項目】
 *      sort_row(), sort_col()
 */
