
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sprintf() - データから書式化した文字列を作る
 *
 *  【形式】
 *      str = sprintf(format, ...)
 *         String str;
 *         String format;
 *
 *  【機能説明】
 *      sprintf(format, ...)は，format で指定した書式でデータを文字列
 *      に変換する。整数型，実数型，文字列型のデータを変換できる。
 *
 *      書式は，C 言語の関数 printf() の書式と同じものを指定する。
 *      すなわち，普通の文字(アルファベット，数字，エスケープ文字)
 *      あるいは変換を表す文字列を指定する。エスケープ文字には次の
 *      ものがある。
 *
 *      \a : 警告(ベルなど)     \v : 垂直タブ
 *      \b : バックスペース     \\ : バックスラッス
 *      \f : 改ページ           \' : アポストロフィ
 *      \n : 復帰改行           \" : 二重引用符
 *      \r : 復帰               \? : 疑問符
 *      \t : 水平タブ
 *      
 *      変換を表すには，パーセント % ，フィールド幅(オプション)，変換文字
 *      を指定する。変換文字には，次の文字がある。
 *
 *      %d             : 整数型
 *      %e, %E, %f, %g : 実数型
 *      %s             : 文字列型
 *
 *  【例題】
 *      str = sprintf("%d %f %s", 10, 3.1415, "Hello");
 *  
 *  【関連項目】
 *      printf(), fprintf(), sscanf()
 */
