
/*  -*- MaTX -*-
 *
 *  【名前】
 *      std_row() - 行毎の成分の標準偏差
 *
 *  【形式】
 *      Y = std_row(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      std_row(X)は，行毎に成分の標準偏差を求め，列ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，std_row(X) は
 *      全ての成分の標準偏差を求める。
 *
 *  【例題】
 *      >> Y = std_row([[1 2 3][4 5 6]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  8.16496581E-01
 *      (  2)  8.16496581E-01
 *      >> Y = std_row([[1][2][3]])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  8.16496581E-01
 *
 *  【関連項目】
 *      std(), std_col()
 */
