
/*  -*- MaTX -*-
 *
 *  【名前】
 *      tan() - 正接
 *
 *  【形式】
 *      y = tan(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = tan(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      tan(x)は，スカラ型(整数, 実数, 複素数) x の正接を求める。
 *      角度はラジアンで計算される。
 *	    tan(X)は，配列 X の各成分の正接からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じになる。
 *
 *  【アルゴリズム】
 *      tan(z) = sin(z)/cos(z)
 *
 *  【例題】
 *      >> y = tan(0.5)
 *      y = 0.546302
 *
 *      範囲 -PI/3 <= x <= PI/3 のtan(x)のグラフを表示する。
 *
 *      >> x = [-PI/3:0.05:PI/3];
 *      >> mgplot(1, x, tan(x), {"tan(x)"});
 *
 *  【関連項目】
 *      sin(), cos(), atan(), exp()
 */
