
/*  -*- MaTX -*-
 *
 *  【名前】
 *      tanh() - 双曲(線)正接
 *
 *  【形式】
 *      y = tanh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = tanh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      tanh(x)は，スカラ型(整数, 実数, 複素数) x の双曲(線)正接を求める。
 *      角度はラジアンで計算される。
 *	    tanh(X)は，配列 X の各成分の双曲(線)正接からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      tanh(z) = sinh(z)/cosh(z)
 *
 *  【例題】
 *      >> y = tanh(0.5)
 *      y = 0.462117
 *
 *      範囲 -PI/3 <= x <= PI/3 のtanh(x)のグラフを表示する。
 *
 *      >> x = [-PI/3:0.05:PI/3];
 *      >> mgplot(1, x, tanh(x), {"tanh(x)"});
 *
 *  【関連項目】
 *      sin(), cos(), tan(), atanh(), exp()
 */
