
/*  -*- MaTX -*-
 *
 *  【名前】
 *      vectorprod() - ベクトル積(外積)
 *
 *  【形式】
 *      z = vectorprod(x,y)
 *         Matrix z;
 *         Matrix x,y;
 *
 *  【機能説明】
 *      vectorprod(x,y)は，ベクトル x と y のベクトル積(外積)をを返す。
 *      x と y が行ベクトルのとき，結果は行ベクトルになり，x と y が 
 *      列ベクトルのとき，結果は列ベクトルになる。x と y は，3 * 1
 *      または 1 * 3 のベクトルでなければならない。
 *
 *  【例題】
 *      >> x = [1 2 3];
 *      >> y = [4 5 6];
 *      >> z = vectorprod(x,y)
 *      === [z] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1) -3.00000000E+00  6.00000000E+00 -3.00000000E+00
 *
 *  【関連項目】
 *      prod()
 */
